Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85827 - (SOUND I810_AUDIO)Allow AC97 re-routing: D845PEBT2 sound from wrong connector
Summary: (SOUND I810_AUDIO)Allow AC97 re-routing: D845PEBT2 sound from wrong connector
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 82012 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-08 13:30 UTC by Harris Landgarten
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:37 UTC


Attachments (Terms of Use)

Description Harris Landgarten 2003-03-08 13:30:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
Sound configuration properly detects the integrated sound chip on the Intel
D845PEBT2 motherboard but no sound is played on normal front channel connection
as in Windows. If speakers are connected to rear channel outputs, sound plays
normally. It seems that 810_audio.o module is not handling 6 channel sound chip
properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run redhat-config-soundcard
2.
3.
    

Actual Results:  Chipset is properly detected as intel 810
no sound plays is speakers are connected to normal lime speaker connector. Sound
is played on rear channel (right and left) connector.

Expected Results:  Sound should come from lime connector

Additional info:

Comment 1 Rick Richardson 2003-03-16 19:52:41 UTC
I also have the Intel D845PEBT2 desktop motherboard, running RH 8.0.94,
and can vouch that the sound does indeed come out of the rear speaker
connector.  But it comes out of the front speaker connector with Win/XP.

This particular computer is dual-boot (my kids use it mostly), so its
a pin to keep switching the speaker output.

Comment 2 Brent Fox 2003-03-20 20:39:24 UTC
It sounds like the driver is getting loaded properly.  Once loaded, the driver
is sending sound to the wrong output.  This sounds like it is a driver problem
rather than a redhat-config-soundcard problem.  Transferring.

Comment 3 Alan Cox 2003-06-10 17:43:53 UTC
Seems Windows knows about the odd setup of this boardf and has drivers using non
standard channels. We don't currently support doing that but it seems we need to
look at it eventually


Comment 4 Alan Cox 2003-06-10 17:49:22 UTC
*** Bug 82012 has been marked as a duplicate of this bug. ***

Comment 5 Rick Richardson 2003-06-10 23:00:20 UTC
I haven't tried this yet (maybe this weekend), but I see that Intel now has Alsa
sound drivers for their desktop boards here...

http://developer.intel.com/design/motherbd/linux/

From the release notes...

Devices Needing Additional Drivers to Function with Red Hat 9.0: ·  ADI* 1985 AC
97 audio will not function properly after a normal installation of Red Hat 9.0.
Red Hat 9.0 will attempt to install and load AC 97 audio drivers and it will
appear that the audio solution is properly configured when it really is not.
Download the appropriate driver for the desktop board being used and install
them using the instructions provided with the driver.

Comment 6 Bugzilla owner 2004-09-30 15:40:37 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.